<?php

    /**
     *	Youtube plugin
     *
     *	@package Monstra
     *  @subpackage Plugins
     *	@author Romanenko Sergey / Awilum
     *	@copyright 2012 Romanenko Sergey / Awilum
     *	@version 1.0.1
     *
     */


    // Register plugin
    Plugin::register( __FILE__,                    
                    __('Youtube'),
                    __('Youtube plugin for Monstra.'),  
                    '1.0.1',
                    'Awilum',                 
                    'http://monstra.org');
  
    // Add shortcode
    Shortcode::add('youtube', 'Youtube::_shortcode');


    /**
     * Youtube shortcodes
     *
     *  <code>
	 *
	 *    {youtube url="http://www.youtube.com/watch?v=F4I6Yx0R604"}
     *
	 *    {youtube url="http://www.youtube.com/watch?v=F4I6Yx0R604" width="640" height="480"}
     *
     *  </code>
     *
     */
    class Youtube {
         
   
        /**
         * Youtube Shortcode
         */
        public static function _shortcode($attributes) {
            
            // Extract
            extract($attributes);

            // Video url
            if (isset($url)) { 
                if (preg_match('%(?:youtube(?:-nocookie)?\.com/(?:[^/]+/.+/|(?:v|e(?:mbed)?)/|.*[?&]v=)|youtu\.be/)([^"&?/ ]{11})%i', $url, $match)) {
                    $video_id = $match[1];
                } else { 
                    $video_id = '';
                }
            } else {
                $video_id = '';
            }
            
            // Width
            if (isset($width)) $width = $width; else $width = 560;

            // Height
            if (isset($height)) $height = $height; else $height = 315;

            // Youtube
            return ('<object width="'.$width.'" height="'.$height.'"><param name="movie" value="http://www.youtube.com/v/'.$video_id.'"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/'.$video_id.'" type="application/x-shockwave-flash" width="'.$width.'" height="'.$height.'" allowscriptaccess="always" allowfullscreen="true"></embed></object>');        
        }

    }
